@font-face {
  font-family: "MaPolice";
  src: url("./Julius_Sans_One/JuliusSansOne-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: #102023;
  background-image: url(./bg.png);
  background-size: cover;
  background-position: center;
  margin: 0;
  padding: 0;

  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "MaPolice", Arial, sans-serif;
  color: #f3faf9;
}

#container,
#hop {
  display: flex;
  flex-direction: column;
}

#container {
  height: 100vh;
  width: 100vw;
  padding: 100px;
}

#hop {
  border: 10px solid rgba(64, 136, 140, 0.1);
  background-color: rgba(35, 60, 62, 0.3);
  border-radius: 30px;
  padding: 60px;

  height: 100%;

  justify-content: space-between;
}

#header {
  display: flex;
  flex-direction: column;
  gap: 12px;

  max-width: 600px;
}

#header h1 {
  font-size: 48px;
}

#header span {
  font-weight: lighter;
  font-size: 1.2rem;
  color: #f3faf9;
}

#header #role {
  font-size: 0.8rem;
  color: #f3faf9;
  opacity: 0.5;
}

#links {
  display: flex;
  gap: 20px;
  width: 100%;
  justify-content: flex-end;
  flex-wrap: wrap;
}

.link-item {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 84px;
  height: 84px;
  padding: 24px;

  background-color: rgba(35, 60, 62, 0.5);
  border: 1px solid #233c3e;
  border-radius: 15px;

  transition: all 0.3s ease;
}

.link-item:hover {
  background-color: rgba(35, 60, 62, 0.8);
}

@media (max-width: 700px) {
  #container {
    padding: 24px;
  }

  #hop {
    padding: 24px;
  }

  #header h1 {
    font-size: 32px;
  }

  #links {
    gap: 8px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }
}
